Project

General

Profile

Bug #31197

upgrade pulp ansible plugin to 0.5.0

Added by Justin Sherrill over 1 year ago. Updated 11 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Ansible Collections
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

The url that pulp 'syncs' from is changing from:

/pulp_ansible/galaxy/api/v2/collections/
to
/pulp_ansible/galaxy/api/

In addition, /pulp_ansible/galaxy/api/v2/collections/COLLECTION will not be supported. We need to update:
  • capsule syncing
  • the repository new page, where it suggests 3 different url examples, the collection specific one no longer works, you have to use requirements
  • any existing tests

Associated revisions

Revision 427b67eb (diff)
Added by James Jeffers 11 months ago

Fixes #31197 - adjust ansible URLs

History

#1 Updated by Samir Jha over 1 year ago

#2 Updated by James Jeffers over 1 year ago

  • Triaged changed from No to Yes
  • Target version set to Katello 4.0.0

#3 Updated by Justin Sherrill over 1 year ago

  • Target version changed from Katello 4.0.0 to Katello 4.1.0

#4 Updated by The Foreman Bot 12 months ago

  • Assignee set to James Jeffers
  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/9387 added

#5 Updated by James Jeffers 11 months ago

  • Bugzilla link set to 1962140

#6 Updated by The Foreman Bot 11 months ago

  • Fixed in Releases Katello 4.2.0 added

#7 Updated by James Jeffers 11 months ago

  • Status changed from Ready For Testing to Closed

Also available in: Atom PDF